Subject: Re: linux-next: cpufreq tree build failure

From: Dave Jones <[email-masked]>
Date: Mon, 3 Aug 2009 19:44:00 -0400

On Tue, Aug 04, 2009 at 01:22:14AM +0200, Thomas Renninger wrote:
 > On Monday 03 August 2009 04:28:19 am Stephen Rothwell wrote:
 > > Hi Dave,
 > >
 > > Today's linux-next build (x86_64 allmodconfig) failed like this:
 > >
 > > ERROR: "cpufreq_global_kobject" [drivers/cpufreq/cpufreq_ondemand.ko]
 > > undefined!
 > >
 > > Caused by commit 35b104d88338e5eddb36c670fea4752f6c10c82f ("[CPUFREQ]
 > > ondemand - Use global sysfs dir for tuning settings").  Presumably
 > > cpufreq_global_kobject needs an EXPORT_SYMBOL.
 > 
 > Yep, that's it. Below is a fix.
 > 
 > Thanks a lot,

I'll roll this in with the previous patch, so as not to introduce
a bisect-regression, and rebase the tree. Will push something out
soon.

thanks.

	Dave